%define upstream_name    Dist-Zilla-Plugin-Prereqs-FromCPANfile
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse cpanfile for prereqs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.17
BuildRequires: perl(Module::Build::Tiny) >= 0.39.0
BuildRequires: perl(Module::CPANfile) >= 0.903.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny) >= 0.100.0
BuildArch:  noarch

%description
Dist::Zilla::Plugin::Prereqs::FromCPANfile is a Dist::Zilla
plugin to read _cpanfile_ to determine prerequisites for your distribution.
This does the *opposite of* what Dist::Zilla::Plugin::CPANFile
does, which is to _create_ a 'cpanfile' using the prereqs collected
elsewhere.

When 'feature' DSL is used in 'cpanfile', it will correctly be converted to
'optional_features' in META data.

*DO NOT USE THIS PLUGIN IN COMBINATION WITH Plugin::CPANFile*. You will
probably be complained about creating duplicate files from dzil.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1026539
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 966220
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 843065
- update to 0.08

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 743310
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Apr 13 2014 shlomif <shlomif> 0.60.0-1.mga5
+ Revision: 613762
- Add BRs
- Revise grammar
- Importing SRPM based on cpan2pkg (with some tweaks)


* Sun Apr 13 2014 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
